Bug 129237 - FILEOPEN: DOCX: Incorrect title in field
Summary: FILEOPEN: DOCX: Incorrect title in field
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-12-06 13:18 UTC by Xisco Faulí
Modified: 2020-02-07 17:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison MSO 2010 and LibreOffice 6.5 Master (36.54 KB, image/png)
2019-12-06 13:18 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-12-06 13:18:16 UTC
Created attachment 156357 [details]
comparison MSO 2010 and LibreOffice 6.5 Master

Steps to reproduce:
1. Open attachment 102917 [details] from bug 81427

-> all fields use the same title

Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: b5a4570e214f0e965a8b32cee3c615856ae07ac4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-12-06 13:19:39 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5e279f175289234b91f272bbbf48e70315fff5ac

author	Jan-Marek Glogowski <jan-marek.glogowski@extern.cib.de>	2019-10-29 14:39:05 +0100
committer	Jan-Marek Glogowski <glogow@fbihome.de>	2019-11-11 11:38:30 +0100
commit	5e279f175289234b91f272bbbf48e70315fff5ac (patch)
tree	12c4e827aad62eea4f05003409b89799c09be90b
parent	1d81d52b5da45f26e9d3adeb3b279eb9a488b94f (diff)
tdf#128460 import SwInputField from DOCX FILLIN

Bisected with: bibisect-linux64-6.4

Adding Cc: to Jan-Marek Glogowski
Comment 2 Commit Notification 2020-01-30 12:43:44 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3a248dfe57318af57fc5df89652cb64dfa923e46

tdf#129237 just add content checks for Input fields

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-01-30 16:04:27 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/029d1e92945eb6ac8cd31911f35bed92a4201897

tdf#129237: Add unittest

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-01-30 16:06:14 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/2a8d083655cdbe59b61904b9144d7837dc5f7bc0

tdf#129237 just add content checks for Input fields

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-01-30 17:48:05 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/1a51db52e4aa29ecee978329fa4bcf0af4a17e85

tdf#129237: Add unittest

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-02-07 17:34:51 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: c81c383be787ec5f9acbca51f75ea5b28b63c63a
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Jan-Marek, thanks for fixing this issue!!